<?php
Class people_conf
{
	var $id_people;
	var $id_conf;
	var $remote;
	var $lunch;
	var $arrival;
	var $departure;
	var $presentation;
	var $title;
	var $abstract;
	var $comments;
	


// Constructeur
function people_conf()
	{
	$this->init(-1,-1,"","","","","","","","");
	}
//Initialisation
function init(	$id_people, 
				$id_conf, 
				$remote,
				$lunch,
				$arrival, 
				$departure,
				$presentation, 
				$title,
				$abstract,
				$comments
				 )
	{
	$this->id_people = $id_people;
	$this->id_conf = $id_conf; 
	$this->remote = $remote; 
	$this->lunch = $lunch; 
	$this->arrival = $arrival; 
	$this->departure =$departure; 
	$this->presentation = $presentation;
	$this->title =$title; 
	$this->abstract =$abstract;
	$this->comments =$comments;
	return true;
	}

// Reinitialisation
function reinit( )
	{
	// On initialise
	return $this->init(-1,-1,"","","","","","","","");
	}


// Lecture/relecture d'un utilisateur par son nouser
function charge($id_people,$id_conf)
	{
		$ok=$this->reinit();
		if ($ok)
		{
			$requete=construire_requete("SELECT spip_people_conf.id_people, spip_people_conf.id_conf, spip_people_conf.remote, spip_people_conf.lunch, spip_people_conf.arrival,
			spip_people_conf.departure, spip_people_conf.presentation, spip_people_conf.title, 
			spip_people_conf.abstract,spip_people_conf.comments
			FROM spip_people_conf 
			WHERE  spip_people_conf.id_people='%1'  AND spip_people_conf.id_conf='%2' ", $id_people,$id_conf);
			
			//$requete="SELECT spip_people_conf.id_people, spip_people_conf.id_conf, spip_people_conf.arrival,";
			//$requete.="spip_people_conf.departure, spip_people_conf.presentation, spip_people_conf.title, ";
			//$requete.="spip_people_conf.abstract";
			//$requete.="FROM spip_people_conf ";
			//$requete.="WHERE  spip_people_conf.id_people=$id_people AND spip_people_conf.id_conf=$id_conf";
    
			$retour = spip_query($requete);
			$nb=spip_num_rows($retour);
			if ($nb==0)
			{
				$ok=false;
			}
			else
			{
			while ($resultat=spip_fetch_array($retour))
				{	
					$ok=$this->init($id_people,
						$id_conf,
						$resultat[remote],
						$resultat[lunch],
						$resultat[arrival],
						$resultat[departure],
						$resultat[presentation],
						$resultat[title],
						$resultat[abstract],
						$resultat[comments]
						 );
				}
			}	
		}
		return $ok;
	}	
	
// Affichage des donnes sous forme d'une ligne de tableau	
function affiche()	
	{ 
		$remote=($this->remote=="t")?"Remote":"Local";
		$lunch=($this->lunch=="t")?"Yes":"No";
	  return 
		"
		<td>".$remote."</td>
		<td>$lunch</td>
		<td>$this->arrival</td>
		<td>$this->departure</td>
		<td>$this->title</td>
		<td>$this->abstract</td>
		<td>$this->comments</td>
		";	

	}
	
// Affichage des donnes sous forme d'une ligne de tableau	
function afficheshort()	
	{ 
		$remote=($this->remote=="t")?"Remote":"Local";
		$lunch=($this->lunch=="t")?"Yes":"No";
	  return 
		"
		<td>".$remote."</td>
		<td>$lunch</td>
		<td>$this->comments</td>
		";	

	}	
	
	
function existe()
	{
	$exist=false;
	$requete=construire_requete("
				SELECT * 
				FROM spip_people_conf
				WHERE id_people='%1' 
				AND id_conf='%2'
				",$this->id_people, $this->id_conf);
	$resultat=spip_query($requete);
	$resultat=spip_num_rows($resultat);
	
	if (!($resultat==0)){$exist=True;}

	return $exist;
	}

function ajoutemodifie()
	{
		if ($this->existe()){
			$ok=$this->modifie();
			if ($ok) {$message="Registration has been updated.";}
				else {$message="ERROR: Registration has not been updated.";}
		}
		else
		{
			$ok=$this->ajoute();
			if ($ok) {$message="Registration has been processed.";}
				else {$message="ERROR: Registration failed.";}
		}
		
		//affiche_msg($message );
		echo $message."<br />";
		return $ok;
	}


function supprime()
	{
		global $db_name;
		//$dbidconnect=opendb_admin();
		$requete = "DELETE FROM spip_people_conf WHERE id_people= '$this->id_people' AND id_conf= '$this->id_conf' "; 					
		//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);
		$resultat=spip_query($requete);
		
		if ($resultat)
		{
			$message="Registration has been cancelled.";	
		}
		else
		{
			$message="ERROR: Registration has not been cancelled.";		
		}
		echo $message."<br />";
		return $resultat;	
	}


function ajoute()
	{
	$id_people      =str_replace("'","''",$this->id_people)         ;
	$id_conf   =str_replace("'","''",$this->id_conf)    ;  
	if ($this->remote) {$remote="t";} else {$remote="f";};
	$remote    =str_replace("'","''",$this->remote)       ;
	if ($this->lunch==true) {$lunch="t";} else {$lunch="f";};
	$lunch    =str_replace("'","''",$this->lunch)       ;
	$arrival    =str_replace("'","''",$this->arrival)       ;
	$departure =str_replace("'","''",$this->departure)    ;
	$presentation=str_replace("'","''",$this->presentation);   
	$title=str_replace("'","''",$this->title) ;  
	$abstract      =str_replace("'","''",$this->abstract)         ;
	$comments      =str_replace("'","''",$this->comments)         ;
	 
	$requete = "INSERT INTO spip_people_conf(";
	$requete .=" id_people,id_conf, remote, lunch, arrival,departure, presentation,";
	$requete .=" title,abstract,comments)";
	$requete .="VALUES ( '$id_people', '$id_conf', '$remote' , '$lunch', '$arrival','$departure', ";
	$requete .="'$presentation','$title','$abstract','$comments')";
	
	$resultat=spip_query($requete);
	
	if ($resultat)
		{		
		$ok=1;
		}
	else
		{
		$ok=0;
		}
	return $ok;
	}
	
function modifie()
	{global $db_name;	
	//$dbidconnect=opendb_admin();
	
	$id_people      =str_replace("'","''",$this->id_people)         ;
	$id_conf   =str_replace("'","''",$this->id_conf)    ;  
	if ($this->remote) {$remote="t";} else {$remote="f";};
	$remote    =str_replace("'","''",$this->remote)       ;
	if ($this->lunch==true) {$lunch="t";} else {$lunch="f";};
	$lunch    =str_replace("'","''",$this->lunch)       ;
	$arrival    =str_replace("'","''",$this->arrival)       ;
	$departure =str_replace("'","''",$this->departure)    ;
	$presentation=str_replace("'","''",$this->presentation);   
	$title=str_replace("'","''",$this->title) ;  
	$abstract      =str_replace("'","''",$this->abstract)         ;
	$comments      =str_replace("'","''",$this->comments)         ;


	$requete = "UPDATE spip_people_conf ";
	$requete .= " SET 	id_people      ='$id_people'     ,";
	$requete .= "		id_conf   ='$id_conf'  ,";
	$requete .= "		remote    ='$remote'    ,";
	$requete .= "		lunch    ='$lunch'    ,";
	$requete .= "		arrival    ='$arrival'    ,";
	$requete .= "		departure ='$departure' ,";
	$requete .= "		presentation='$presentation',";
	$requete .= "		title='$title'      ,";
	$requete .= "		abstract    ='$abstract'   , ";
	$requete .= "		comments    ='$comments'    ";
	
	$requete .= " WHERE id_people= '$this->id_people' ";
	$requete .= " AND   id_conf= '$this->id_conf'";
	$resultat=spip_query($requete);		
	return $resultat;
	}

// fonction affichant la liste de tous les participants  une conf
function liste($id_conf)
	{
	$people = new people();
	$requete=construire_requete("
				SELECT * 
				FROM spip_people_conf
				WHERE id_conf='%1' 
				", $id_conf);
			
	$retour = spip_query($requete);
	
	echo "<table class=\"spip\"><tr class=\"row_first\"><td class=\"spip\"> Last Name </td><td class=\"spip\"> Firt Name </td> <td class=\"spip\"> Institute </td> <td class=\"spip\"> Email </td>";
	echo "<td class=\"spip\"> remote </td><td class=\"spip\"> Lunch </td> <td class=\"spip\"> arrival </td> <td class=\"spip\"> departure </td>";
	echo "<td class=\"spip\">Title </td><td class=\"spip\">Abstract </td><td class=\"spip\">Comments </td> </tr>";
	
	$row="row_odd";
	while ($resultat=spip_fetch_array($retour))
				{	$row=($row=="row_odd")?"row_even":"row_odd";
					$this->init($resultat[id_people],
						$resultat[id_conf],
						$resultat[remote],
						$resultat[lunch],
						$resultat[arrival],
						$resultat[departure],
						$resultat[presentation],
						$resultat[title],
						$resultat[abstract],
						$resultat[comments]
						 );
					$people->charge($this->id_people);
					echo "<tr class=\"$row\">";
					echo $people->affiche();
					echo $this->affiche(); 
					echo "</tr>";
				}	
	echo "</table>";
	return $exist;
	}





// fonction affichant la liste de tous les participants  une conf
function shortliste($id_conf)
	{
	$people = new people();
	$requete=construire_requete("
				SELECT * 
				FROM spip_people_conf
				WHERE id_conf='%1' 
				", $id_conf);
			
	$retour = spip_query($requete);
	
	echo "<table class=\"spip\"><tr class=\"row_first\"><td class=\"spip\"> Last Name </td><td class=\"spip\"> Firt Name </td> <td class=\"spip\"> Institute </td><td class=\"spip\"> Email </td>";
	echo "<td class=\"spip\"> remote </td><td class=\"spip\"> Lunch </td>";
	echo "<td class=\"spip\">Comments </td> </tr>";
	
	$row="row_odd";
	while ($resultat=spip_fetch_array($retour))
				{	$row=($row=="row_odd")?"row_even":"row_odd";
					$this->init($resultat[id_people],
						$resultat[id_conf],
						$resultat[remote],
						$resultat[lunch],
						$resultat[arrival],
						$resultat[departure],
						$resultat[presentation],
						$resultat[title],
						$resultat[abstract],
						$resultat[comments]
						 );
					$people->charge($this->id_people);
					echo "<tr class=\"$row\">";
					echo $people->affiche();
					echo $this->afficheshort(); 
					echo "</tr>";
				}	
	echo "</table>";
	return $exist;
	}












}// fin classe people_conf






// Definition de classe people
Class people
{
	var $id_people;
	var $nom;
	var $prenom;
	var $email;
	var $institut;
	var $addresse1;
	var $addresse2;
	var $zip;
	var $ville;
	var $pays;
	var $tel1;
	var $tel2;
	var $fax;
	var $passwd;


// Constructeur
function people()
	{
	//$this ->init(-1,"Last Name","First name","Email","Institute","Address 1","Address 2","Zip code","Town","Country","Telephone 1","Telephone 2","Fax","passwd");
	$this->init(-1,"","","","","","","","","","","","","");
	}
//Initialisation
function init(	$id_people, 
				$nom, 
				$prenom, 
				$email,
				$institut, 
				$addresse1,
				$addresse2,
				$zip, 
				$ville,
				$pays,
				$tel1,
				$tel2,
				$fax,
				$passwd )
	{
	$this->id_people = $id_people;
	$this->nom = $nom; 
	$this->prenom = $prenom; 
	$this->email =$email; 
	$this->institut = $institut;
	$this->addresse1 =$addresse1; 
	$this->addresse2 =$addresse2;
	$this->zip =$zip;	
	$this->ville =$ville;
	$this->pays =$pays;
	$this->tel1 = $tel1;
	$this->tel2 = $tel2;
	$this->fax = $fax;
	$this->passwd = $passwd;
	return true;
	}

// Reinitialisation
function reinit( )
	{
	// On initialise
	return $this->init(-1,"","","","","","","","","","","","","");
	}

// Cherche un utilisateur par son email (unique)
// Retourne true si un user est trouv et false sinon
function chercheemail($email, $pass="")
	{
	$ok=false;
	$this->reinit();
	$requete="SELECT spip_people.id_people, spip_people.nom, spip_people.prenom,";
	$requete.="spip_people.email, spip_people.institut, spip_people.addresse1, ";
	$requete.="spip_people.addresse2,spip_people.zip, spip_people.ville, ";
	$requete.="spip_people.pays, spip_people.tel1, spip_people.tel2, ";
	$requete.="spip_people.fax, spip_people.passwd ";
	$requete.="FROM spip_people ";
	$requete.="WHERE  spip_people.email= '$email' ";
	
	$retour = spip_query($requete);
	$nb=spip_num_rows($retour);
	if ($nb==0)
	{
			$this->init(-1,"","",$email,"","","","","","","","","",$pass);
	} 
	else
	{
		$ok=true;
		while ($resultat=spip_fetch_array($retour))
		{		
			$this->init($resultat[id_people],
					$resultat[nom],
					$resultat[prenom],
					$resultat[email],
					$resultat[institut],
					$resultat[addresse1],
					$resultat[addresse2],
					$resultat[zip],
					$resultat[ville],
					$resultat[pays],
					$resultat[tel1],
					$resultat[tel2],
					$resultat[fax],
					$resultat[passwd]
					 );
		}	
	}
	return $ok;
	}

// fonction vrifiant si le password est correct
function checkpassw($passwd)
	{
	return ($this->passwd == $passwd);
	}

// Lecture/relecture d'un utilisateur par son nouser
function charge($id_people)
	{
	$ok=$this->reinit();
	if ($ok)
	{
    	$requete="SELECT spip_people.id_people, spip_people.nom, spip_people.prenom,";
    	$requete.="spip_people.email, spip_people.institut, spip_people.addresse1, ";
    	$requete.="spip_people.addresse2,spip_people.zip, spip_people.ville, ";
    	$requete.="spip_people.pays, spip_people.tel1, spip_people.tel2, ";
    	$requete.="spip_people.fax, spip_people.passwd ";
    	$requete.="FROM spip_people ";
    	$requete.="WHERE  spip_people.id_people=$id_people ";
    
    	$retour = spip_query($requete);
		$nb=spip_num_rows($retour);
    	if ($nb==0)
    	{
			$ok=false;
		}
		else
		{
    		while ($resultat=spip_fetch_array($retour))
    			{
    			
    				$ok=$this->init($id_people,
    						$resultat[nom],
    						$resultat[prenom],
    						$resultat[email],
    						$resultat[institut],
    						$resultat[addresse1],
    						$resultat[addresse2],
    						$resultat[zip],
    						$resultat[ville],
    						$resultat[pays],
    						$resultat[tel1],
    						$resultat[tel2],
    						$resultat[fax],
    						$resultat[passwd]
    						 );
    			}
		}	
	}
	return $ok;
	}	
	
	
	
	
// Affichage des donnes sous forme d'une ligne de tableau	
function affiche()	
	{ 	return 
		"
	    <td>$this->nom</td>
	    <td>$this->prenom</td>
	    <td>$this->institut</td>
	    <td>".fl_at($this->email)."</td>
		";	

	}
	
	
function verifie()
	{
	$ok=true;
	if (($this->nom=="") ){$ok=false;$message="Name is mandatory.";};
	if (($this->email=="") ){$ok=false;$message="email is mandatory.";};
	if ($ok)
		{
			$requete=construire_requete("
						SELECT * 
						FROM spip_people 
						WHERE email='%1' 
						AND id_people <> $this->id_people
						",$this->email);
			$resultat=spip_query($requete);
			$resultat=spip_num_rows($resultat);
			
			if (!($resultat==0)){$ok=0;$message.=" This email already exists.";}
				
		}
	if (!$ok) 
	{
		affiche_msg($message);		
	}	
	return $ok;
	}

function ajoutemodifie()
	{
		$ok=$this->verifie();
		if ($ok)
		{	
			if ( (trim($this->id_people)=="0") or ($this->id_people==0) or (trim($this->id_people)=="-1") or ($this->id_people==-1))
			{	
				$ok=$this->ajoute();
				
				if ($ok) {$message="User $this->prenom $this->nom has been added.";}
				else {$message="ERROR: User $this->prenom $this->nom has not been added.";}
			}
			else
			{	
				$ok=$this->modifie();
				if ($ok) {$message="User $this->prenom $this->nom has been updated.";}
				else {$message="ERROR: User $this->prenom $this->nom has not been updated.";}
			}
		}
		
		echo $message."<br />";
		
		return $ok;
	}


function supprime()
	{
		global $db_name;
		//$dbidconnect=opendb_admin();
		$requete = "DELETE FROM spip_people WHERE id_people= '$this->id_people' "; 					
		//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);
		$resultat=spip_query($requete);
		
		if ($resultat)
		{
			affiche_msg("User $this->prenom $this->nom has been deleted.");	
		}
		else
		{
			affiche_msg("ERROR: User $this->prenom $this->nom has not been deleted.");		
		}
	
		return $resultat;	
	}


function ajoute()
	{global $db_name;
	//$dbidconnect=opendb_admin();
	
	$nom      =str_replace("'","''",$this->nom)         ;
	$prenom   =str_replace("'","''",$this->prenom)    ;  
	$email    =str_replace("'","''",$this->email)       ;
	$institut =str_replace("'","''",$this->institut)    ;
	$addresse1=str_replace("'","''",$this->addresse1);   
	$addresse2=str_replace("'","''",$this->addresse2) ;  
	$zip      =str_replace("'","''",$this->zip)         ;
	$ville    =str_replace("'","''",$this->ville)       ;
	$pays     =str_replace("'","''",$this->pays)     ;   
	$tel1     =str_replace("'","''",$this->tel1)        ;
	$tel2     =str_replace("'","''",$this->tel2)        ;
	$fax      =str_replace("'","''",$this->fax)         ;
	$passwd   =str_replace("'","''",$this->passwd) ;     

	
	 
	$requete = "INSERT INTO spip_people(";
	$requete .=" nom,prenom, email,institut, addresse1,";
	$requete .=" addresse2,zip, ville,pays,tel1,tel2,fax,passwd)";
	$requete .="VALUES ( '$nom', '$prenom', '$email','$institut', ";
	$requete .="'$addresse1','$addresse2','$zip', '$ville','$pays',";
	$requete .="'$tel1','$tel2','$fax','$passwd')";
	
	//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);
	$resultat=spip_query($requete);
	
	if ($resultat)
		{		
		$this->id_people=spip_insert_id();		
		$ok=1;
		}
	else
		{
		$ok=0;
		}
	return $ok;
	}
	
function modifie()
	{global $db_name;	
	//$dbidconnect=opendb_admin();
	
	$nom      =str_replace("'","''",$this->nom)         ;
	$prenom   =str_replace("'","''",$this->prenom)    ;  
	$email    =str_replace("'","''",$this->email)       ;
	$institut =str_replace("'","''",$this->institut)    ;
	$addresse1=str_replace("'","''",$this->addresse1);   
	$addresse2=str_replace("'","''",$this->addresse2) ;  
	$zip      =str_replace("'","''",$this->zip)         ;
	$ville    =str_replace("'","''",$this->ville)       ;
	$pays     =str_replace("'","''",$this->pays)     ;   
	$tel1     =str_replace("'","''",$this->tel1)        ;
	$tel2     =str_replace("'","''",$this->tel2)        ;
	$fax      =str_replace("'","''",$this->fax)         ;
	$passwd   =str_replace("'","''",$this->passwd) ;     


	$requete = "UPDATE spip_people ";
	$requete .= " SET 	nom      ='$nom'     ,";
	$requete .= "		prenom   ='$prenom'  ,";
	$requete .= "		email    ='$email'    ,";
	$requete .= "		institut ='$institut' ,";
	$requete .= "		addresse1='$addresse1',";
	$requete .= "		addresse2='$addresse2',";
	$requete .= "		zip      ='$zip'      ,";
	$requete .= "		ville    ='$ville'    ,";
	$requete .= "		pays     ='$pays' ,    ";
	$requete .= "		tel1     ='$tel1'    , ";
	$requete .= "		tel2     ='$tel2'     ,";
	$requete .= "		fax      ='$fax'      ,";
	$requete .= "		passwd   ='$passwd'   ";
	$requete .= " WHERE id_people= $this->id_people ";
		
	//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);			
	$resultat=spip_query($requete);		
	return $resultat;
	}
	
	
}

?>